# automatically generated, don't edit
# Sun Nov 30 22:20:42 UTC 2025

RELEASE=4.6a
VERSION=

BIGLOOSVN=ssh://hop@hop.inria.fr/bigloo

HOSTOS=unix

RM=rm
MV=mv

LN_S=ln -s

INSTALLBEE=partial

BOOTDIR=/pbulk/work/lang/bigloo/work/bigloo-4.6a
BOOTBINDIR=/pbulk/work/lang/bigloo/work/bigloo-4.6a/bin
BOOTLIBDIR=/pbulk/work/lang/bigloo/work/bigloo-4.6a/lib/bigloo/4.6a

BIGLOO?=$(BINDIR)/bigloo.sh
BGLAFILE?=$(BINDIR)/bglafile.sh
BGLJFILE?=$(BINDIR)/bgljfile.sh
BGLTAGS?=$(BINDIR)/bgltags.sh
BGLDEPEND?=$(BINDIR)/bgldepend.sh
BGLMCO?=$(BINDIR)/bglmco.sh
CIGLOO?=$(BINDIR)/cigloo

BPP_EXE=bglpp
BPROF_EXE=bglprof
MCO_EXE=bglmco
JAS_EXE=bgljas
BMEM_EXE=bglmem
BMEMRUN_EXE=bglmemrun
BDB_EXE=bgldb
BGLPKG_EXE=bglpkg

DESTDIR=
BINDIR=/usr/pkg/bin
LIBDIR=/usr/pkg/lib
FILDIR=bigloo/4.6a
ZIPDIR=$(DESTDIR)/usr/pkg/lib/bigloo/4.6a
SYSZIPDIR=$(DESTDIR)/usr/pkg/lib/bigloo/4.6a
DLLDIR=$(DESTDIR)/usr/pkg/lib/bigloo/4.6a
SYSDLLDIR=$(DESTDIR)/usr/pkg/lib/bigloo/4.6a
LIBPATH=$(DESTDIR)/usr/pkg/lib/bigloo/4.6a
MANDIR=$(DESTDIR)/usr/pkg/man/man1
INFODIR=$(DESTDIR)/usr/pkg/info
DOCDIR=$(DESTDIR)/usr/pkg/share/doc
TMP=/tmp
RPATH=/usr/pkg/lib/bigloo/4.6a 

NATIVEBACKEND=yes
NATIVE_MACHDEP=generic_mach_dep
SHAREDCOMPILER=yes

LIBRARYNAME=bigloo

CC=gcc
CFLAGS=-O3 -O2 -I/usr/pkg/include -I/usr/include  -Wno-unused-value -Wno-parentheses-equality -Wno-parentheses -Wno-invalid-source-encoding -Wno-return-type -Wno-trigraphs
CFPFLAGS=-fno-omit-frame-pointer
CSTRIPFLAGS=
CPICFLAGS=-fPIC
CBUILDFLAGS=
CNANFLAGS=-DBGL_NAN_TAGGING=0
CFLAGS_P=$(CFLAGS) -pg -fno-inline
LDBUILDOPTS=
EXTRALIBS=-lresolv -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lgmp -lm -lc
CLOSELIBS= # always empty, does not contain GC, override by makefiles

CGCFLAGS=-DNO_DEBUGGING -Iinclude -Ilibatomic_ops-install/include -DATOMIC_UNCOLLECTABLE -DNO_EXECUTE_PERMISSION  -DBGL_PTHREAD_KILL -DFINALIZE_ON_DEMAND  -I$(BOOTLIBDIR) $(CPICFLAGS)
EXTRAGCLIBS=-lc
CUSTOMGC=gc-8.2.8
GCLIB=gc
GCCUSTOM=no
GCINCLUDE=-I/usr/pkg/include
GCCLOSELIB=-l$(GCLIB)
GCSTDOBJ=Clib/non_inline_alloc.o
GCLIBDIR=/usr/pkg/lib
EXTRALIBS+=-l$(GCLIB)
BIGLOOGCLIB=

GMPCUSTOM=no
GMPCUSTOMVERSION=6.2.1

PCRECUSTOM=no
PCRECUSTOMVERSION=8.43

PCRE2CUSTOM=no
PCRE2CUSTOMVERSION=10.42

UNISTRINGCUSTOM=no
UNISTRINGCUSTOMVERSION=1.1

EXTRA_LD_OPT=-Wl,-R/usr/pkg/lib/bigloo/4.6a -Wl,-zrelro -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib  -rdynamic
SHRD_COMP=yes
SHRD_BDE_OPT=
EXE_SUFFIX=
AS=gcc -c -x assembler-with-cpp

AR=ar
ARFLAGS=qc
RANLIB=ranlib

SHAREDLIBRARYSUPPORT=yes
SHAREDLIBRARYCLOSED=yes
LD=gcc -shared
LDRPATHOPT=-Wl,--enable-new-dtags,-rpath=
LDFLAGS=-Wl,-R/usr/pkg/lib/bigloo/4.6a -Wl,-zrelro -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib
LDLIBS=  # used to be -lc
LDPRELOADSUPPORT=yes
LDSONAME=-Wl,-soname
LDINSTALLNAME=
LDINSTALLNAMEDIRROOT=lib

SHAREDSUFFIX=so

LDCOMPLIBS_SHARED=-lbigloo_s-$(RELEASE) -lunistring -lgmp -L$(GCLIBDIR) -lgc 
LDCOMPLIBS_STATIC=$(BOOTLIBDIR)/libbigloo_s-$(RELEASE).a -lunistring -lgmp -L$(GCLIBDIR) -lgc -L$(GCLIBDIR) -lgc 
LDCOMPLIBS=-lc -lm -lresolv

DLOPENSUPPORT=yes

GCTHREADSUPPORT=yes
CGCTHREADFLAGS=-DPARALLEL_MARK -DUSE_COMPILER_TLS -DBGL_GC_THREADS
PTHREADLIBS=-lpthread
OPENSSLLIBS=-lssl -lcrypto
OPENSSLLIBSCFLAGS=-I.
SQLITELIBS=-lsqlite3
SQLITESRFI=sqlite
GSTREAMER=
GSTREAMERLIBS=
GSTREAMERFLAGS=
ALSA=
ALSALIBS=
ALSAFLAGS=
PULSEAUDIO=
PULSEAUDIOLIBS=
PULSEAUDIOFLAGS=
MPG123=
MPG123LIBS=
MPG123FLAGS=
FLAC=
FLACLIBS=
FLACCFLAGS=
AVAHI=no
AVAHILIBS=
AVAHICFLAGS=
LIBUV=yes
LIBUVLIBS=-L/usr/pkg/lib -luv -lkvm
LIBUVCFLAGS=
LIBUVCUSTOM=no
LIBBACKTRACE=no
LIBBACKTRACECUSTOM=no
LIBBACKTRACELIBS=
LIBBACKTRACECFLAGS=
LIBBACKTRACEBOOTINCDIR=.
PHIDGET=no
PHIDGETLIBS=
PHIDGETCFLAGS=
PHIDGETLIBDIR=
ENABLE_BGLPKG=no

STRIP=true

EMACS=no
EMACSDIR=
EMACSBRAND=false
EWARN=

BMASK=755
MODEXE=755
MODFILE=644
MODDIR=755

INSTALLINFO=""

JVMBACKEND=no

BFLAGS=-O3 -fcfa-arithmetic -q -lib-dir $(BOOTLIBDIR)
BOOTFLAGS=
BFEATUREFLAGS=-srfi enable-resolv -srfi enable-pregexp -srfi enable-gmp 
LDSTRIPFLAGS=

SCRIPTEXTENSION=
C_OBJ_EXTENSION=o

APIS=pthread fthread srfi18 ssl sqlite web multimedia mail calendar pkgcomp pkglib text srfi1 crypto openpgp csv upnp libuv wav phone srfi27 packrat mqtt
NOAPIS=

# Makefile.misc variables (default values)
LIBSUFFIX=_s
LIBSUFFIXTHREAD=
BIGLOOLIB=bigloo
BIGLOOEXTRALIBS=
BIGLOOAPPLIBS=
APPRELEASE=
